Package ru.bitel.bgbilling.modules.mobile.common.bean

# Class MobileContractNotification

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.mobile.common.bean.MobileContractNotification

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class MobileContractNotification extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MobileContractNotification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateConfirm()`
  `Date`
  `getDateSend()`
  `Map<String,String>`
  `getParams()`
  `PushStatusType`
  `getStatus()`
  `String`
  `getText()`
  `int`
  `getUserId()`
  `boolean`
  `isStorable()`
  `MobileContractNotification`
  `setContractId(int contractId)`
  `MobileContractNotification`
  `setDateConfirm(Date dateConfirm)`
  `MobileContractNotification`
  `setDateSend(Date dateSend)`
  `MobileContractNotification`
  `setParams(Map<String,String> params)`
  `MobileContractNotification`
  `setStatus(PushStatusType status)`
  `MobileContractNotification`
  `setStorable(boolean storable)`
  `MobileContractNotification`
  `setText(String text)`
  `MobileContractNotification`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MobileContractNotification

    public MobileContractNotification()

- ## Method Details

  - ### getDateConfirm

    public Date getDateConfirm()

  - ### getDateSend

    public Date getDateSend()

  - ### getParams

    public Map<String,String> getParams()

  - ### getStatus

    public PushStatusType getStatus()

  - ### getText

    public String getText()

  - ### getUserId

    public int getUserId()

  - ### isStorable

    public boolean isStorable()

  - ### setContractId

    public MobileContractNotification setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setDateConfirm

    public MobileContractNotification setDateConfirm(Date dateConfirm)

  - ### setDateSend

    public MobileContractNotification setDateSend(Date dateSend)

  - ### setParams

    public MobileContractNotification setParams(Map<String,String> params)

  - ### setStatus

    public MobileContractNotification setStatus(PushStatusType status)

  - ### setStorable

    public MobileContractNotification setStorable(boolean storable)

  - ### setText

    public MobileContractNotification setText(String text)

  - ### setUserId

    public MobileContractNotification setUserId(int userId)